package com.bonait.bnframework.common.db.res;

import com.bonait.bnframework.common.db.mode.BPA_GOODS;
import com.bonait.bnframework.common.db.mode.BPA_GOODSRECIPENAME;
import com.bonait.bnframework.common.db.mode.BPA_SUBORDER;
import java.util.ArrayList;

/**
 * 商品制作列表
 */
public class ResGoodsMake {
    /**
     * 商品数据
     */
    public BPA_GOODS good;

    /**
     * 商品的配方名称表
     */
    public BPA_GOODSRECIPENAME goodsrecipename;
    /**
     * 商品制作配方
     */
    public ArrayList<ResGoodsRecipe> recipes;
    /**
     * 商品订单数据
     */
    public BPA_SUBORDER subOrder;
    /**
     * 制作状态
     */
    public MakeStatus makeStatus;
    /**
     * 制作描述
     */
    public String makeMs;
    /**
     * 制作进度
     */
    public int makeProcess;
    /**
     * 是否可制作
     */
    public boolean IsMake;

    public boolean Gt1;
    public boolean Gt2;


    public ResGoodsMake()
    {
        good=new BPA_GOODS();
        subOrder=new BPA_SUBORDER();
        recipes=new ArrayList<>();
        makeStatus=MakeStatus.等待中;
        makeMs="";
        makeProcess=0;
        IsMake=true;
        Gt1=false;
        Gt2=false;
    }

    @Override
    public String toString() {
        return "ResGoodsMake{" +
                "good=" + good +
                ", goodsrecipename=" + goodsrecipename +
                ", recipes=" + recipes +
                ", subOrder=" + subOrder +
                ", makeStatus=" + makeStatus +
                ", makeMs='" + makeMs + '\'' +
                ", makeProcess=" + makeProcess +
                ", IsMake=" + IsMake +
                ", Gt1=" + Gt1 +
                ", Gt2=" + Gt2 +
                '}';
    }
}

