package com.bonait.bnframework.common.helper.mode;

import java.util.List;

/**
 * 接收物料信息
 */
public class PushDeviceGoods {
    /// <summary>
    /// 商品信息
    /// </summary>
    public List<BPA_GoodsInfo> GoodsInfos;
    /// <summary>
    /// 商品绑定的配方信息
    /// </summary>
    public List<GoodsBom> GoodsBomInfos;
    /// <summary>
    /// 配方绑定的物料信息
    /// </summary>
    public List<BatchingsInfo> BatchingsInfos;
    /// <summary>
    /// 配方绑定的工艺->  单流程工艺
    /// </summary>
    public List<Batchingstechnology> Batchingstechnologys;
    /// <summary>
    /// 商品工艺信息  -->多流程工艺
    /// </summary>
    public List<TechnologyActions> TechnologyActions; //暂时不使用
    /// <summary>
    /// 商品属性
    /// </summary>
    public List<GoodsAttributeInfo> GoodsAttributeInfo ;
    /// <summary>
    /// 商品配方关联表
    /// </summary>
    public List<BomAttributeValueReInfo> BomAttributeValueReInfo;
}
