//package com.bonait.bnframework.modules.home.fragment.mode;
//
//import android.app.Activity;
//import android.app.AlertDialog;
//import android.content.Context;
//import android.content.DialogInterface;
//import android.content.Intent;
//import android.text.TextUtils;
//import android.util.AttributeSet;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.widget.ArrayAdapter;
//import android.widget.Button;
//import android.widget.EditText;
//import android.widget.ImageView;
//import android.widget.LinearLayout;
//import android.widget.ListView;
//import android.widget.Spinner;
//import android.widget.TextView;
//
//import androidx.annotation.Nullable;
//import androidx.recyclerview.widget.LinearLayoutManager;
//import androidx.recyclerview.widget.RecyclerView;
//
//import com.bonait.bnframework.R;
//import com.bonait.bnframework.common.constant.DataBus;
//import com.bonait.bnframework.common.constant.MessageName;
//import com.bonait.bnframework.common.db.QueryDB;
//import com.bonait.bnframework.common.db.mode.BPA_GOODS;
//import com.bonait.bnframework.common.db.mode.BPA_GOODSRECIPE;
//import com.bonait.bnframework.common.db.mode.BPA_GOODSRECIPENAME;
//import com.bonait.bnframework.common.db.mode.BPA_GOODSTYPE;
//import com.bonait.bnframework.common.db.mode.BPA_MATERIAL;
//import com.bonait.bnframework.common.db.res.ResGoodProperty;
//import com.bonait.bnframework.common.db.res.ResGoodsRecipe;
//import com.bonait.bnframework.common.db.res.ResMaterilas;
//import com.bonait.bnframework.common.glide.GlideUtil;
//import com.bonait.bnframework.common.helper.I.MyClickListener;
//import com.bonait.bnframework.common.image.MyBitmapUtils;
//import com.bonait.bnframework.common.message.MessageLooper;
//import com.bonait.bnframework.common.message.MessageManager;
//import com.bonait.bnframework.common.utils.ToastUtils;
//import com.bonait.bnframework.common.view.MyLayoutManager;
//import com.bonait.bnframework.modules.home.adapter.goodpf_apapter;
//import com.bonait.bnframework.modules.home.adapter.newmeatrilselect_adapter;
//import com.bonait.bnframework.modules.home.adapter.newneatril_adapter;
//import com.bonait.bnframework.modules.home.adapter.pfsx_adapter;
//import com.bonait.bnframework.modules.home.adapter.xxpf_adapter;
//import com.bonait.bnframework.modules.home.fragment.from.ImageChooseActivity;
//
//import java.util.ArrayList;
//import java.util.LinkedHashMap;
//import java.util.Map;
//
//import butterknife.BindView;
//import butterknife.ButterKnife;
//
///**
// * 商品信息展示
// */
//public class GoodInformation extends LinearLayout implements MyClickListener {
//
//    //region 界面变量
//    /**
//     * 商品类型
//     */
//    public ArrayList<BPA_GOODSTYPE> Types = new ArrayList<>();
//    /**
//     * 当前物料数据
//     */
//    public ArrayList<ResMaterilas> resMaterilas = new ArrayList<>();
//    /**
//     * 属性数据
//     */
//    ArrayList<ResGoodProperty> bpa_goodproperties = new ArrayList<>();
//    /**
//     * 当前配方表
//     */
//    ArrayList<BPA_GOODSRECIPENAME> goodsrecipenames = new ArrayList<>();
//    /**
//     * 选中配方名称
//     */
//    public BPA_GOODSRECIPENAME bpaGoodsrecipename = null;
//
//    /**
//     * 取消按钮
//     */
//    @BindView(R.id.close_from)
//    public Button close_from;
//    @BindView(R.id.xinjian)
//    public Button xinjian;
//    @BindView(R.id.xinjiannew)
//    public Button xinjiannew;
//
//    /**
//     * 图片
//     */
//    @BindView(R.id.cpfm)
//    public ImageView cpfm;
//    /**
//     * 文本输入框
//     */
//    @BindView(R.id.edittext)
//    public EditText edittext;
//    @BindView(R.id.edittext1)
//    public EditText edittext1;
//    @BindView(R.id.edittext_wl)
//    public EditText edittext_wl;
//    /**
//     * 商品分类
//     */
//    @BindView(R.id.editsp_fl)
//    public Spinner editsp_fl;
//    @BindView(R.id.datatab_pf)
//    ListView datatab_pf;
//
//    /**
//     * 点击事件
//     */
//    public MyClickListener mListener = null;
//    private View root;
//
//    @BindView(R.id.recycler_view_wl_click)
//    RecyclerView recycler_view_wl_click;
//
//
//    @BindView(R.id.edittext_pfmingc)
//    EditText edittext_pfmingc;//配方名称
//    @BindView(R.id.datatab_sx)
//    RecyclerView datatab_sx;
//    @BindView(R.id.datatab_xxpf)
//    ListView datatab_xxpf;//详细配方
//
//    @BindView(R.id.save_goods)
//    Button save_goods;
//
//    @BindView(R.id.caozuomiaoshu)
//    TextView caozuomiaoshu;
//
//    //endregion
//
//    //region 私例
//    public GoodInformation(Context context, @Nullable AttributeSet attrs) {
//        super(context, attrs);
//        root = LayoutInflater.from(context).inflate(R.layout.dialog_gooddetails, this);
//        ButterKnife.bind(this, root);
//    }
//    //endregion
//
//    //region 数据校准
//
//    /**
//     * 数据验证
//     *
//     * @return
//     */
//    public boolean DataVerification() {
//        boolean IsSucees = false;
//        try {
//            if (edittext.getText().toString().isEmpty()) {
//                ToastUtils.info("名称不能为空!");
//                return false;
//            }
//            GetWuLiaoSelect(resMaterilas);
//
//            if (ids.isEmpty()) {
//                ToastUtils.info("必须选择一个物料!");
//                return false;
//            }
//            return true;
//        } catch (Exception ex) {
//            ToastUtils.error("数据验证异常!" + ex.getMessage());
//            return IsSucees;
//        }
//    }
//
//    String pfname = "";//配方名称集合
//    String ggids = "";//规格id集合
//
//    /**
//     * 配方数据验证
//     *
//     * @return
//     */
//    public boolean DataVerificationPF() {
//        boolean isSuceess = false;
//        //1.数据名称不能为空
//        pfname = edittext_pfmingc.getText().toString();
//        if (pfname.isEmpty()) {
//            ToastUtils.warning("配方名称不能为空!");
//            return isSuceess;
//        }
//
//        ggids = "";
//        for (ResGoodProperty item : bpa_goodproperties) {
//            for (ResGoodProperty k : item.child) {
//                if (k.isSelect) {
//                    ggids += k.id + ",";
//                }
//            }
//        }
//
//        if (!ggids.isEmpty()) {
//            ggids = ggids.substring(0, ggids.length() - 1);
//        }
//
//        //2.必须选择一个规格
//        if (DataBus.getInstance().Recipe.size() <= 0) {
//            ToastUtils.warning("配方数据表格不能为空!");
//            return isSuceess;
//        }
//
//
//        return true;
//    }
//    //endregion
//
//    //region 初始化设置数据
//    /**
//     * 数据接口：商品数据
//     */
//    public BPA_GOODS Data = null;
//    /**
//     * 上一层界面
//     */
//    Activity activity_ma = null;
//    /**
//     * 图片URL
//     */
//    public String url = "";
//    /**
//     * 商品类别分类
//     */
//    Map<String, String> map_fl = new LinkedHashMap<>();
//
//    /**
//     * 当前属性
//     */
//    public ArrayList<ResGoodProperty> properties = new ArrayList<>();
//
//    /**
//     * 从外界Activity为Dialog 设置数据
//     *
//     * @param data
//     */
//    public void setData(BPA_GOODS data, ArrayList<BPA_GOODSTYPE> types, Activity activity, ArrayList<ResGoodProperty> _properties) {
//        bpaGoodsrecipename = null;
//        caozuomiaoshu.setText("");
//        Data = data;
//        Types = types;
//        activity_ma = activity;
//        properties = _properties;
//
//
//        //属性数据填充
//        SxProperty();
//        //初始化界面数据
//        initData();
//        //初始化界面控件的事件
//        initEvent();
//        //初始化配方名称
//        Initdata_pf();
//        //初始化配方表格
//        InitTab();
//    }
//    //endregion
//
//    //region 属性数据
//
//    /**
//     * 刷新属性
//     *
//     * @param
//     */
//    public void SxProperty() {
//        bpa_goodproperties.clear();
//        for (ResGoodProperty pro : properties) {
//            if (pro.GoodsTypeId != null && !pro.GoodsTypeId.isEmpty()) {
//                if (Data != null) {
//                    if (pro.GoodsTypeId.contains(Data.goodtype)) {
//                        bpa_goodproperties.add(pro);
//                    }
//                } else {
//                    bpa_goodproperties.add(pro);
//                }
//            } else {
//                bpa_goodproperties.add(pro);
//            }
//        }
//
//        //2.填充规则数据，查询所有属性大类
//        if (bpaGoodsrecipename == null) {
//            for (ResGoodProperty item : bpa_goodproperties) {
//                int i = 0;
//                for (ResGoodProperty c : item.child) {
//                    if (i == 0) {
//                        c.isSelect = true;
//                    } else {
//                        c.isSelect = false;
//                    }
//                    i++;
//                }
//            }
//            edittext_pfmingc.setText(GetSelectName());
//        } else {
//            edittext_pfmingc.setText(bpaGoodsrecipename.name + "");
//            for (ResGoodProperty item : bpa_goodproperties) {
//                for (ResGoodProperty c : item.child) {
//                    if (bpaGoodsrecipename != null && bpaGoodsrecipename.design != null && !bpaGoodsrecipename.design.isEmpty() && bpaGoodsrecipename.design.contains(c.id)) {
//                        c.isSelect = true;
//                    } else {
//                        c.isSelect = false;
//                    }
//                }
//            }
//        }
//
//        LinearLayoutManager layoutManager = new LinearLayoutManager(getContext());
//        layoutManager.setOrientation(LinearLayoutManager.VERTICAL);
//        datatab_sx.setLayoutManager(layoutManager);
//
//        pfsx_adapter sxadapter = new pfsx_adapter(getContext(), bpa_goodproperties);
//        datatab_sx.setAdapter(sxadapter);
//    }
//    //endregion
//
//    //region 配方选中
//
//    //endregion
//
//    //region 初始化函数
//
//    /**
//     * 初始化界面控件的显示数据
//     */
//    private void initData() {
//
//        map_fl.clear();
//        for (BPA_GOODSTYPE item : Types) {
//            map_fl.put(item.name, item.id);
//        }
//        SetAdapter(editsp_fl, map_fl);
//
//        //数据不为空 那么就是修改
//        if (Data != null) {
//            edittext.setText(Data.name);
//            edittext1.setText(Data.foreignKeyRe);
////            new MyBitmapUtils().disPlay(cpfm, Data.url);
//            GlideUtil.showImage(cpfm.getContext(),Data.url,cpfm,R.mipmap.loading3);
//            url = Data.url;
//            int index = 0;
//            for (Map.Entry<String, String> entry : map_fl.entrySet()) {
//                String key = entry.getKey();
//                String value = entry.getValue();
//                if (value.equals(Data.goodtype)) {
//                    editsp_fl.setSelection(index);
//                }
//                index++;
//            }
//        } else {
//            edittext.setText("");
//            edittext1.setText("");
////            new MyBitmapUtils().disPlay(cpfm, "");
//            GlideUtil.showImage(cpfm.getContext(),"",cpfm,R.mipmap.loading3);
//            url = "";
//        }
//
//        //查询物料数据
//        ArrayList<BPA_MATERIAL> materials = QueryDB.GetMaterialALL();
//        if (materials != null && materials.size() > 0) {
//            resMaterilas.clear();
//            for (BPA_MATERIAL item : materials) {
//                ResMaterilas mk = new ResMaterilas();
//                mk.name = item.name;
//                mk.id = item.id;
//                mk.isSelect = false;
//                if (Data != null && !Data.materialids.isEmpty()) {
//                    if (Data.materialids.contains(item.id)) {
//                        mk.isSelect = true;
//                    }
//                }
//                resMaterilas.add(mk);
//            }
//        }
//        GetWuLiaoSelect(resMaterilas);
//
//        //底部物料，
//        MyLayoutManager layout = new MyLayoutManager();
//        layout.setAutoMeasureEnabled(true);
//        recycler_view_wl_click.setLayoutManager(layout);
//        newneatril_adapter adapter = new newneatril_adapter(getContext(), QueryDB.GetMaterialALL(), new MyClickListener() {
//            @Override
//            public void clickListener(View v, Object data) {
//                BPA_MATERIAL m = (BPA_MATERIAL) data;
//
//                ResGoodsRecipe cipe = new ResGoodsRecipe();
//                cipe.sort = 0;
//                cipe.materialID = m.id;
//                cipe.materialName = m.name;
//                cipe.value = "0";
//                if (DataBus.getInstance().Recipe == null) {
//                    DataBus.getInstance().Recipe = new ArrayList<>();
//                }
//                DataBus.getInstance().Recipe.add(cipe);
//
//                if (adapter4 != null) {
//                    adapter4.notifyDataSetChanged();
//                }
//            }
//
//            @Override
//            public void clickListenerNew(View v, int k, Object data) {
//
//            }
//        });
//        recycler_view_wl_click.setAdapter(adapter);
//    }
//
//    xxpf_adapter adapter4 = null;
//
//    /**
//     * 物料信息类别
//     */
//    public void InitTab() {
//        DataBus.getInstance().Recipe.clear();
//        if (bpaGoodsrecipename != null) {
//            DataBus.getInstance().Recipe = QueryDB.GetGoodsSreciperecipeList(bpaGoodsrecipename.id);
//
//        } else {
//            if (Data != null) {
//                for (BPA_MATERIAL wl : resMaterilas) {
//                    if (Data.materialids != null && !Data.materialids.isEmpty() && Data.materialids.contains(wl.id)) {
//                        ResGoodsRecipe cipe = new ResGoodsRecipe();
//                        cipe.sort = 0;
//                        cipe.materialID = wl.id;
//                        cipe.materialName = wl.name;
//                        cipe.value = "0";
//                        cipe.goodsID = Data.id;
//                        DataBus.getInstance().Recipe.add(cipe);
//                    }
//                }
//            }
//        }
//
//        if (DataBus.getInstance().Recipe == null) {
//            DataBus.getInstance().Recipe = new ArrayList<>();
//        }
//        adapter4 = new xxpf_adapter(getContext(), R.layout.xxpf_item, DataBus.getInstance().Recipe, this);
//        datatab_xxpf.setAdapter(adapter4);
//    }
//
//    /**
//     * 初始化界面的确定和取消监听器
//     */
//    private void initEvent() {
//        /**
//         * 设置确定按钮被点击后，向外界提供监听
//         */
//        xinjian.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                if (Data == null) {
//                    ToastUtils.warning("请先新建商品!");
//                    return;
//                }
//
//                if (DataVerificationPF()) {
//                    if (bpaGoodsrecipename == null)//新增
//                    {
//                        //判断配方是否有相同规格的了
//                        if (bpaGoodsrecipename == null)//新增
//                        {
//                            BPA_GOODSRECIPENAME goodsrecipename = QueryDB.GetGoodsRecipeNameDesignId(ggids, Data.id);
//                            if (goodsrecipename != null) {
//                                ToastUtils.warning("已有该做法配方,不能再新增了!");
//                                return;
//                            }
//                        }
//                        //新增配方名称
//                        BPA_GOODSRECIPENAME n = new BPA_GOODSRECIPENAME();
//                        n.name = pfname;
//                        n.design = ggids;
//                        n.goodsID = Data.id;
//                        QueryDB.AddGoodsRecipeName(n);
//                        //新增配方信息
//                        for (ResGoodsRecipe i : DataBus.getInstance().Recipe) {
//                            BPA_GOODSRECIPE good = new BPA_GOODSRECIPE();
//                            good.materialID = i.materialID;
//                            good.recipeID = n.id;
//                            good.goodsID = Data.id;
//                            good.value = i.value;
//                            good.sort = i.sort;
//
//
//                            QueryDB.AddGoodsSrecipe(good);
//                        }
//                        Initdata_pf();
//                        ToastUtils.info("新增配方成功!");
//                    } else //修改
//                    {
//                        bpaGoodsrecipename.name = pfname;
//                        bpaGoodsrecipename.design = ggids;
//                        bpaGoodsrecipename.goodsID = Data.id;
//                        QueryDB.UpdateGoodsRecipeName(bpaGoodsrecipename);
//
//                        ArrayList<ResGoodsRecipe> re = QueryDB.GetGoodsSreciperecipeList(bpaGoodsrecipename.id);
//                        for (ResGoodsRecipe item : re) {
//                            QueryDB.DeleteGoodsSrecipe(item.id);
//                        }
//
//                        for (ResGoodsRecipe i : DataBus.getInstance().Recipe) {
//                            BPA_GOODSRECIPE good = new BPA_GOODSRECIPE();
//                            good.materialID = i.materialID;
//                            good.recipeID = bpaGoodsrecipename.id;
//                            good.goodsID = Data.id;
//                            good.value = i.value;
//                            good.sort = i.sort;
//
//                            QueryDB.AddGoodsSrecipe(good);
//                        }
//                        Initdata_pf();
//                        ToastUtils.info("修改配方成功!");
//                    }
//                }
//
//
//            }
//        });
//        /**
//         * 保存新配方
//         */
//        xinjiannew.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                if (Data == null) {
//                    ToastUtils.warning("请先新建商品!");
//                    return;
//                }
//
//                if (DataVerificationPF()) {
//                    //判断配方是否有相同规格的了
//                    BPA_GOODSRECIPENAME goodsrecipename = QueryDB.GetGoodsRecipeNameDesignId(ggids, Data.id);
//                    if (goodsrecipename != null) {
//                        ToastUtils.warning("已有该做法配方,不能再新增了!");
//                        return;
//                    }
//                    //新增配方名称
//                    BPA_GOODSRECIPENAME n = new BPA_GOODSRECIPENAME();
//                    n.name = pfname;
//                    n.design = ggids;
//                    n.goodsID = Data.id;
//                    QueryDB.AddGoodsRecipeName(n);
//                    //新增配方信息
//                    for (ResGoodsRecipe i : DataBus.getInstance().Recipe) {
//                        BPA_GOODSRECIPE good = new BPA_GOODSRECIPE();
//                        good.materialID = i.materialID;
//                        good.recipeID = n.id;
//                        good.goodsID = Data.id;
//                        good.value = i.value;
//                        good.sort = i.sort;
//                        QueryDB.AddGoodsSrecipe(good);
//                    }
//
//                    Initdata_pf();
//                    ToastUtils.info("新增配方成功!");
//
//                }
//            }
//        });
//        /**
//         * 关闭窗体
//         */
//        close_from.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                if (mListener != null) {
//                    mListener.clickListenerNew(v, 0, null);
//                }
//            }
//        });
//        /**
//         * 保存商品
//         */
//        save_goods.setOnClickListener(new OnClickListener() {
//            @Override
//            public void onClick(View view) {
//                if (DataVerification()) {
//
//                    ArrayList<BPA_GOODS> goods = QueryDB.GetGoodsALL();
//                    if (Data == null)//新增
//                    {
//                        boolean isSucess = QueryDB.GetGoodsIs(edittext.getText().toString());
//                        if (isSucess) {
//                            ToastUtils.info("菜谱名称已存在!");
//                            return;
//                        }
//                        Data = new BPA_GOODS();
//                        Data.name = edittext.getText().toString();
//                        Data.status = 1;
//                        Data.sort = goods.size() + 1;
//                        Data.maketime = 180;
//                        Data.issc = 1;
//                        Data.url = url;
//                        Data.foreignKeyRe = edittext1.getText().toString();
//                        Data.goodtype = map_fl.get(editsp_fl.getSelectedItem().toString());
//                        Data.materialids = ids;
//                        QueryDB.AddGoods(Data);
//                    } else //修改
//                    {
//                        Data.name = edittext.getText().toString();
//                        Data.status = 1;
//                        Data.sort = goods.size() + 1;
//                        Data.maketime = 180;
//                        Data.issc = 1;
//                        Data.url = url;
//                        Data.foreignKeyRe = edittext1.getText().toString();
//                        Data.goodtype = map_fl.get(editsp_fl.getSelectedItem().toString());
//                        Data.materialids = ids;
//                        QueryDB.UpdateGoods(Data);
//                    }
//                    bpaGoodsrecipename = null;
//                    caozuomiaoshu.setText("");
//                    SxProperty();
//                    Initdata_pf();
//                    InitTab();
//                    ToastUtils.info("保存商品成功!");
//                }
//            }
//        });
//
//        /**
//         * 选择图片资源
//         */
//        cpfm.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View view) {
//                Intent intent = new Intent(getContext(), ImageChooseActivity.class);
//                intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
//                activity_ma.startActivity(intent);
//            }
//        });
//        /**
//         * 图标选择之后
//         */
//        MessageManager.getInstance().registerMessageReceiver(activity_ma, MessageName.ClickImage, new MessageLooper.OnMessageListener() {
//            @Override
//            public void onMessage(Object msg) {
//                if (msg != null) {
//                    url = (String) msg;
////                    new MyBitmapUtils().disPlay(cpfm, url);
//                    GlideUtil.showImage(cpfm.getContext(),url,cpfm,R.mipmap.loading3);
//                }
//            }
//        });
//
//        /**
//         * 下拉框选择之后
//         */
//        edittext_wl.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                checkboxEdit(edittext_wl);
//            }
//        });
//
//        MessageManager.getInstance().registerMessageReceiver(activity_ma, MessageName.ClickProperty, new MessageLooper.OnMessageListener() {
//            @Override
//            public void onMessage(Object msg) {
//                if (msg != null) {
//                    activity_ma.runOnUiThread(new Runnable() {
//                        @Override
//                        public void run() {
//                            try {
//                                edittext_pfmingc.setText(GetSelectName());
//                            } catch (Exception e) {
//
//                            }
//                        }
//                    });
//                }
//            }
//        });
//    }
//
//    /**
//     * 初始化配方
//     */
//    public void Initdata_pf() {
//        if (Data != null) {
//            //根据商品查询配方
//            goodsrecipenames = QueryDB.GetGoodsRecipeNameGoodId(Data.id);
//            goodpf_apapter adapter = new goodpf_apapter(getContext(), R.layout.wl_item, goodsrecipenames, this);
//            datatab_pf.setAdapter(adapter);
//        }else
//        {
//            goodsrecipenames.clear();
//            goodpf_apapter adapter = new goodpf_apapter(getContext(), R.layout.wl_item, goodsrecipenames, this);
//            datatab_pf.setAdapter(adapter);
//        }
//    }
//    //endregion
//
//    //region 界面事件
//
//    /**
//     * 设置下拉框
//     *
//     * @param spinner
//     * @param map
//     */
//    public void SetAdapter(Spinner spinner, Map<String, String> map) {
//        ArrayAdapter<String> adapter = new ArrayAdapter<>(getContext(), R.layout.spinner_text_item, new ArrayList<>(map.keySet()));
//        adapter.setDropDownViewResource(R.layout.spinner_dropdown_item);
//        spinner.setAdapter(adapter);
//    }
//
//    /**
//     * 多选下拉框
//     */
//    private void checkboxEdit(EditText edit) {
//        AlertDialog.Builder builder = new AlertDialog.Builder(getContext());
//        builder.setTitle("物料列表");
//        DialogInterface.OnMultiChoiceClickListener multiChoiceClickListener = new DialogInterface.OnMultiChoiceClickListener() {
//            @Override
//            public void onClick(DialogInterface dialog, int i, boolean isChecked) {
//                resMaterilas.get(i).isSelect = isChecked;
//            }
//        };
//
//        // 下拉项选中状态
//        boolean[] selected = new boolean[resMaterilas.size()];
//        // 下拉框数据源
//        String[] str = new String[resMaterilas.size()];
//
//        for (int i = 0; i < resMaterilas.size(); i++) {
//            str[i] = resMaterilas.get(i).name;
//            selected[i] = resMaterilas.get(i).isSelect;
//        }
//
//        builder.setMultiChoiceItems(str, selected, multiChoiceClickListener);
//        DialogInterface.OnClickListener clickListener = new DialogInterface.OnClickListener() {
//            @Override
//            public void onClick(DialogInterface dialog, int which) {
//                GetWuLiaoSelect(resMaterilas);
//                edit.setText(names);
//            }
//        };
//        builder.setCancelable(false);
//        builder.setNegativeButton("取消", null);
//        builder.setPositiveButton("确定", clickListener);
//        AlertDialog dialog = builder.create();
//        dialog.show();
//    }
//
//    public String ids = "";
//    public String names = "";
//
//    /**
//     * 获取物料选择
//     */
//    public void GetWuLiaoSelect(ArrayList<ResMaterilas> materilas) {
//        ids = "";
//        names = "";
//        for (ResMaterilas item : materilas) {
//            if (item.isSelect) {
//                if (TextUtils.isEmpty(names)) {
//                    names = names + item.name;
//                    ids = ids + item.id;
//                } else {
//                    names = names + "," + item.name;
//                    ids = ids + "," + item.id;
//                }
//            }
//        }
//        edittext_wl.setText(names);
//    }
//
//    /**
//     * 获取选中名称
//     *
//     * @return
//     */
//    public String GetSelectName() {
//        String names = (Data != null ? Data.name : "未知") + "_";
//        for (ResGoodProperty item : bpa_goodproperties) {
//            for (ResGoodProperty k : item.child) {
//                if (k.isSelect) {
//                    names += k.name + "_";
//                }
//            }
//        }
//        return names.substring(0, names.length() - 1);
//    }
//
//    /**
//     * 点击事件
//     *
//     * @param v
//     * @param data
//     */
//    @Override
//    public void clickListener(View v, Object data) {
//        switch (v.getId()) {
//            case R.id.button_update://点击 修改
//                bpaGoodsrecipename = (BPA_GOODSRECIPENAME) data;
//                caozuomiaoshu.setText("当前【" + bpaGoodsrecipename.name + "】操作中...");
//                SxProperty();//刷新属性
//                InitTab();
//                break;
//            case R.id.button_item://删除按钮
//                ArrayList<ResGoodsRecipe> re = QueryDB.GetGoodsSreciperecipeList(((BPA_GOODSRECIPENAME) data).id);
//                for (ResGoodsRecipe item : re) {
//                    QueryDB.DeleteGoodsSrecipe(item);
//                }
//                QueryDB.DeleteGoodsRecipeName((BPA_GOODSRECIPENAME) data);
//                Initdata_pf();
//                ToastUtils.info("删除成功");
//                break;
//        }
//    }
//
//    @Override
//    public void clickListenerNew(View v, int k, Object data) {
//
//    }
//    //endregion
//}
